Get all pre-transactions
GET/auth/company/pre-transactions
Request
Query Parameters
Start key in base64 encoded json, key of the first item of the page. Put here the key received in last_key.
Possible values: <= 100
Default value: 20
Number of items per page
Responses
- 200
- 401
successful operation
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
data
object[]
cents id of the transaction
Payment gateway id, the payment gateway unique name identifier is put at the begining of the string (this is inserted by cents according to the logged user)
Cents id of the company
Transaction amount
Transaction amount
Transaction currency
Cents id of the charity
Cause unique name (in the namespace of the charity)
Donation amount (in the smallest currency unit, so 1000 is 10.00€)
Donation percentage if available (in integer format, so 3% is 3)
Donation currency
Transaction created date
Transaction updated date
Cents id of consumer user (if we have data of it)
Consumer user name (if we have data of it)
Consumer user email (if we have data of it)
Consumer user email anonymized flag (if email is anonymized or not)
Consumer user phone number (if we have data of it)
billable_address
object
required
Payment method id used for this transactions.
Possible values: [pre_transaction, draft, to_be_payed, paid, refunded, disputed, failed]
Transaction status
Refunded amount
External ID (generated by the company) used to reconcilate transaction with the pre_transaction
the key is used to fetch the subsequent page (to be passed to start_key parameter). If it's empty, no further data is available
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"external_id": "STRIPE_59782679127678169827",
"company_id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"order_amount": 153.86,
"total_amount": 155.66,
"currency": "EUR",
"charity_id": "123e4567-e89b-12d3-a456-426614174000",
"donation_cause": "cause1",
"donation_amount": 250,
"donation_percentage": 3,
"donation_currency": "EUR",
"created_date": "2023-05-13",
"updated_date": "2023-05-17",
"consumer_user_id": "3f33b5e7-a94b-4f86-92e5-b1f7c1a7c68b",
"consumer_user_full_name": "John Doe",
"consumer_user_email": "john@email.com",
"consumer_user_email_anonymized": false,
"consumer_user_phone": 393334445555,
"billable_address": {
"street_address": "via Roma 5",
"city": "Milan",
"region_state": "Lombardia",
"zip_code": "20100",
"country": "Italy"
},
"payment_method": "0f63c9aa-35cc-48f9-af7d-30bfb62172ad",
"transaction_status": "paid",
"refunded_amount": 0,
"reconciliation_id": "COMPANY_458732297419738721976"
}
],
"last_key": "string"
}
Unauthorized